javax.jdo.metadata

## Interface Metadata

- All Known Subinterfaces:
    ArrayMetadata, ClassMetadata, CollectionMetadata, ColumnMetadata, DatastoreIdentityMetadata, DiscriminatorMetadata, ElementMetadata, EmbeddedMetadata, FetchGroupMetadata, FetchPlanMetadata, FieldMetadata, ForeignKeyMetadata, IndexMetadata, InheritanceMetadata, InterfaceMetadata, JDOMetadata, JoinMetadata, KeyMetadata, MapMetadata, MemberMetadata, OrderMetadata, PackageMetadata, PrimaryKeyMetadata, PropertyMetadata, QueryMetadata, SequenceMetadata, TypeMetadata, UniqueMetadata, ValueMetadata, VersionMetadata

      public interface Metadata

  This interface provides base level definitions for all metadata components.
  Version:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExtensionMetadata[]` | `getExtensions()` Accessor for the defined extensions for this component
    `int` | `getNumberOfExtensions()` Number of extensions on this component.
    `Metadata` | `getParent()` Accessor for the parent metadata component.
    `ExtensionMetadata` | `newExtensionMetadata(String vendor, String key, String value)` Add a vendor extension to this metadata component.

- - ### Method Detail

    - #### newExtensionMetadata

          ExtensionMetadata newExtensionMetadata(String vendor,
                                                 String key,
                                                 String value)

      Add a vendor extension to this metadata component.
      Parameters:
        `vendor` - Identifier for the vendor
        `key` - The extension key
        `value` - Value for the extension
      Returns:
        The ExtensionMetadata

    - #### getNumberOfExtensions

          int getNumberOfExtensions()

      Number of extensions on this component.
      Returns:
        Number of extensions

    - #### getExtensions

          ExtensionMetadata[] getExtensions()

      Accessor for the defined extensions for this component
      Returns:
        The extensions

    - #### getParent

          Metadata getParent()

      Accessor for the parent metadata component.
      Returns:
        The parent

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.